# TOOLS

保存一些杂项，系统调试脚本

## 1.pingctrl.sh

功能：循环Ping给定主机ip，若出现ping失败则立即重启系统。
用法： pingctrl.sh `<ip>` `<count>` `<interval>` `<timeout>`
参数说明：
	ip: 要ping的远程主机ip
	count: 每次要Ping的次数，只要有一次成功就视为ping成功
	interval: 每次ping的时间间隔（单位：秒）
	timeout: 超时时间（单位：秒）

## 2.remote-reboot.py

功能：使用telnet登录远程主机并发送一条reboot命令，连接成功返回0，失败返回-1

用法： python3 remote-reboot.py `<ip> <port> <username> <passwd>`

参数说明：

    ip: 连接的远程主机ip 默认192.168.10.100

    port: telnet连接端口号 默认 23

    username: 登录用户名 默认 root

    passwd: 密码 默认 root

脚本未对参数进行校验，传参时可以只传入ip和端口号，此时脚本会用默认的用户密码进行连接。但如果需要修改用户名密码，无论ip和端口号是否是默认值，都需要手动传入。
